Loading...
Searching...
No Matches
L4Re::Vfs::Mman Class Referenceabstract

Interface for POSIX memory management. More...

`#include <vfs.h>`

Inheritance diagram for L4Re::Vfs::Mman:
Collaboration diagram for L4Re::Vfs::Mman:

## Public Member Functions

virtual int | mmap2 (void *start, size_t len, int prot, int flags, int fd, off_t offset, void **ptr) noexcept=0
| Backend for the mmap2 system call.
virtual int | munmap (void *start, size_t len) noexcept=0
| Backend for the munmap system call.
virtual int | mremap (void *old, size_t old_sz, size_t new_sz, int flags, void **new_addr) noexcept=0
| Backend for the mremap system call.
virtual int | mprotect (const void *a, size_t sz, int prot) noexcept=0
| Backend for the mprotect system call.
virtual int | msync (void *addr, size_t len, int flags) noexcept=0
| Backend for the msync system call.
virtual int | madvise (void *addr, size_t len, int advice) noexcept=0
| Backend for the madvice system call.

## Detailed Description

Interface for POSIX memory management.

Note
  This interface usually exists as a singleton and as a superclass of L4Re::Vfs::Ops.

An implementation for this interface is in l4/l4re_vfs/impl/vfs_impl.h and used by the l4re_vfs library or by the VFS implementation in ldso.

Definition at line 773 of file vfs.h.

The documentation for this class was generated from the following file:

- l4/l4re_vfs/vfs.h